Reply
Thread Tools
Posts: 2,482 | Thanked: 2,660 times | Joined on May 2011 @ Poland
#121
this doesn't solve my problem
__________________
If you want to support my work, you can DONATE

You're encouraged to donate at least a couple of euros - otherwise PayPal takes almost everything as a fee.

If you'd prefer other currency or form of donation, please contact me


MeeCoLay: run MeeGo Harmattan apps on Fremantle
 
int_ua's Avatar
Posts: 658 | Thanked: 1,013 times | Joined on Jul 2010 @ Kyiv, Ukraine
#122
How can I use location in qmlviewer?

qmlviewer main.qml
main.qml:2:1: module "QtMobility.location" is not installed
import QtMobility.location 1.2
apt-get install libqtm-12-*
Reading package lists... Done
Building dependency tree
Reading state information... Done
Note, selecting libqtm-12-messaging-dbg for regex 'libqtm-12-*'
Note, selecting libqtm-12-contacts-dbg for regex 'libqtm-12-*'
Note, selecting libqtm-12-examples for regex 'libqtm-12-*'
Note, selecting libqtm-12-bearer for regex 'libqtm-12-*'
Note, selecting libqtm-12-feedback-dbg for regex 'libqtm-12-*'
Note, selecting libqtm-12 for regex 'libqtm-12-*'
Note, selecting libqtm-12-versit-dbg for regex 'libqtm-12-*'
Note, selecting libqtm-12-sensors for regex 'libqtm-12-*'
Note, selecting libqtm-12-dbg for regex 'libqtm-12-*'
Note, selecting libqtm-12-dev for regex 'libqtm-12-*'
Note, selecting libqtm-12-multimedia-dbg for regex 'libqtm-12-*'
Note, selecting libqtm-12-serviceframework for regex 'libqtm-12-*'
Note, selecting libqtm-12-connectivity for regex 'libqtm-12-*'
Note, selecting libqtm-12-systeminfo for regex 'libqtm-12-*'
Note, selecting libqtm-12-publishsubscribe-dbg for regex 'libqtm-12-*'
Note, selecting libqtm-12-location for regex 'libqtm-12-*'
Note, selecting libqtm-12-systeminfo-dbg for regex 'libqtm-12-*'
Note, selecting libqtm-12-messaging for regex 'libqtm-12-*'
Note, selecting libqtm-12-publishsubscribe for regex 'libqtm-12-*'
Note, selecting libqtm-12-location-dbg for regex 'libqtm-12-*'
Note, selecting libqtm-12-multimedia for regex 'libqtm-12-*'
Note, selecting libqtm-12-organizer-dbg for regex 'libqtm-12-*'
Note, selecting libqtm-12-gallery for regex 'libqtm-12-*'
Note, selecting libqtm-12-organizer for regex 'libqtm-12-*'
Note, selecting libqtm-12-sensors-dbg for regex 'libqtm-12-*'
Note, selecting libqtm-12-connectivity-dbg for regex 'libqtm-12-*'
Note, selecting libqtm-12-declarative for regex 'libqtm-12-*'
Note, selecting libqtm-12-bearer-dbg for regex 'libqtm-12-*'
Note, selecting libqtm-12-declarative-dbg for regex 'libqtm-12-*'
Note, selecting libqtm-12-contacts for regex 'libqtm-12-*'
Note, selecting libqtm-12-gallery-dbg for regex 'libqtm-12-*'
Note, selecting libqtm-12-serviceframework-dbg for regex 'libqtm-12-*'
Note, selecting libqtm-12-versit for regex 'libqtm-12-*'
Note, selecting libqtm-12-feedback for regex 'libqtm-12-*'
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
libqtm-12: Conflicts: libqtm-12-bearer
Conflicts: libqtm-12-connectivity
Conflicts: libqtm-12-contacts
Conflicts: libqtm-12-declarative
Conflicts: libqtm-12-feedback
Conflicts: libqtm-12-gallery
Conflicts: libqtm-12-location
Conflicts: libqtm-12-messaging
Conflicts: libqtm-12-multimedia
Conflicts: libqtm-12-organizer
Conflicts: libqtm-12-publishsubscribe
Conflicts: libqtm-12-sensors
Conflicts: libqtm-12-serviceframework
Conflicts: libqtm-12-systeminfo
Conflicts: libqtm-12-versit
E: Broken packages
__________________
I reckon current Russian government as fascist threat and everyone who supports it as my personal enemies. If you are one of those, prepend the info to anything else.
 
int_ua's Avatar
Posts: 658 | Thanked: 1,013 times | Joined on Jul 2010 @ Kyiv, Ukraine
#123
Originally Posted by int_ua View Post
How can I use location in qmlviewer?
Code:
qmlviewer -I /opt/qtm12/imports main.qml
__________________
I reckon current Russian government as fascist threat and everyone who supports it as my personal enemies. If you are one of those, prepend the info to anything else.
 
qwazix's Avatar
Moderator | Posts: 2,620 | Thanked: 5,384 times | Joined on Jan 2010
#124
Check out https://github.com/qwazix/oobProfile...l/MainPage.qml

There is a bug however in libqtm and on N900 gps is always on even if you select nonSatellitePositioningMethods.

Seperated libqtm packages are deprecated IIRC and you only need libqtm-12


Edit: disregard please. Didn't get the question correctly.
__________________
Proud coding competition 2012 winner: ρcam
My other apps: speedcrunch N9 N900 Jolla contactlaunch timenow

Nemo UX blog: Grog
My website: qwazix.com
My job: oob

Last edited by qwazix; 01-03-2013 at 12:50 PM.
 
Schturman's Avatar
Posts: 4,724 | Thanked: 3,194 times | Joined on Jan 2010 @ Israel
#125
Hi bibek
Can you add please option to copy text from message, not quote and reply. Copy specific words from message..
Thanks
 
Posts: 2,482 | Thanked: 2,660 times | Joined on May 2011 @ Poland
#126
@Aapo:
I've got an idea how do do the QtM update.

1. Fetch the latest source from here: https://qt.gitorious.org/qt-mobility
2. Fetch the Harmattan package, take the packaging from it (some new packages appear) + maybe tweak the depends
3. Replace the build-deps with the ones from qtm-12 - QtM seems to use different stuff for maemo5 and harmattan: https://qt.gitorious.org/qt-mobility...s/contacts.pro

If you do it with the same package name, you might ask to push it into CSSU.
__________________
If you want to support my work, you can DONATE

You're encouraged to donate at least a couple of euros - otherwise PayPal takes almost everything as a fee.

If you'd prefer other currency or form of donation, please contact me


MeeCoLay: run MeeGo Harmattan apps on Fremantle
 

The Following User Says Thank You to marmistrz For This Useful Post:
Posts: 781 | Thanked: 3,028 times | Joined on Mar 2009
#127
I cloned qt-mobility -trunk and fixed compiling errors (some are very hacky, and needs proper solution).

Modifications:
https://qt.gitorious.org/qt-mobility...ility/commits/


I used gcc-4.7 toolchain (but without thumb) and built these deb-packages:
Code:
libqtm-12_1.2.0+git20131006-fremantle1_armel.deb
libqtm-12-dev_1.2.0+git20131006-fremantle1_armel.deb
libqtm-12-dbg_1.2.0+git20131006-fremantle1_armel.deb
Downloadable for testing here: http://www.cs.helsinki.fi/u/rantalai/maemo5/qtm/


---------------
And for note:
Code:
git clone https://qt.gitorious.org/qt-mobility/aaporantalainens-qt-mobility/
cd aaporantalainens-qt-mobility/
fakeroot dpkg-buildpackage
 

The Following 6 Users Say Thank You to AapoRantalainen For This Useful Post:
Posts: 213 | Thanked: 108 times | Joined on May 2011 @ Bulgaria
#128
Hi AapoRantalainen and thanks fot these packages,so I tested packages which you made,and I meet only problem with one from them,here is my output:
Unpacking libqtm-12-dbg (from libqtm-12-dbg_1.2.0+git20131006-fremantle1_armel.deb) ...
dpkg: error processing libqtm-12-dbg_1.2.0+git20131006-fremantle1_armel.deb (--install):
failed in buffer_write(fd) (9, ret=-1): backend dpkg-deb during `./usr/lib/debug/opt/qtm12/plugins/mediaservice/libqgstengine.so': No space left on device
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Errors were encountered while processing:
libqtm-12-dbg_1.2.0+git20131006-fremantle1_armel.deb
 
Posts: 672 | Thanked: 988 times | Joined on Dec 2010
#129
"No space left on device"
 

The Following User Says Thank You to Android_808 For This Useful Post:
Posts: 213 | Thanked: 108 times | Joined on May 2011 @ Bulgaria
#130
Originally Posted by Android_808
"No space left on device"
No,no,why this happen,i don't know but believe me,i have enough space on my phone
 

The Following User Says Thank You to disappear For This Useful Post:
Reply

Tags
bluetooth, nfc-api, qtmobility

Thread Tools

 
Forum Jump


All times are GMT -4. The time now is 07:46 AM.